#ifndef OP5_STRING_LIST_H
#define OP5_STRING_LIST_H

struct string_list_t {
	int len;
	char **strings;
};

struct string_list_t * string_list_new(void);
struct string_list_t * string_list_copy(const struct string_list_t *l);

void string_list_add(struct string_list_t *l, const char *s);
void string_list_destroy(struct string_list_t *l);

#endif 
